Subject: Re: bug#63780: Reversing the grep message output type matching binary files (without the -a option added) changed from stdout to stderr

From: L A Walsh <[email-masked]>
Date: Fri, 02 Jun 2023 22:38:51 -0700

On 2023/06/02 15:17, Paul Eggert wrote:
> 
> Yes, and grep does that now. The only issue is whether to send that 
> summary information to stdout or to stderr.
---
If you want to send all matches from all files to one or the other, that's
fine -- the point is to be consistent: sending matches to one or the other.

> We seem to be going around in circles, so I'll let you have the last 
> word if you like.
---
	Only circles, because I don't see why some matches should be
sent to stdout and others to stderr.  Like the original poster - I feel
being consistent and sending all matches to stdout -- being the way it was
done since grep was created was fine.  Changing it so some go to stderr was
an inconsistent and arbitrary change.  Reverting that change seems like the best
course. 

If you want to give a user the last word, you would let their suggestion stand and the
change be implemented. It's dishonest to claim a user gets the last word while their
suggestion/correction is ignored.